Instalando o flash player do Mozilla Firefox no Slackware Linux

Publicado por Sérgio Abrantes Junior em 09/04/2009

[ Hits: 21.468 ]

Blog: https://br.linkedin.com/in/sergioabrantes

 


Instalando o flash player do Mozilla Firefox no Slackware Linux



Geralmente, quando estamos navegando em alguma página que contenha alguma animação em flash e o plugin não está instalado, aparece uma barra pedindo para adicioná-lo. Ao clicar ele tenta baixar e informa posteriormente que não conseguiu e pede para instalar manualmente.

A partir desse momento é que entra o conteúdo desse texto, que demonstra como instalar o flash manualmente.

Para obter o instalador, acesse o site: http://get.adobe.com/flashplayer/

Selecione na caixa "Select version to download", o item ".tar.gz for Linux" e salve em /root.

Agora feche o Firefox para que possamos fazer a instalação.

Instalando o flash player

Acesse o diretório:

# cd /root

Descompacte o arquivo:

# tar xvfz install_flash_player_10_linux.tar.gz

Acesse o diretório extraído:

# cd install_flash_player_10_linux/

Execute o instalador:

# ./flashplayer-installer

Aperte enter para continuar a instalação. Em:

Please enter the installation path of the Mozilla, Netscape,
or Opera browser (i.e., /usr/lib/mozilla):

Coloque onde estão as libs do teu Mozilla Firefox e aperte ENTER. No meu caso coloquei /usr/lib/firefox-3.0.6. Você pode verificar em /usr/lib/firefox-sua-versão.

Então ficou assim:

Please enter the installation path of the Mozilla, Netscape,
or Opera browser (i.e., /usr/lib/mozilla): /usr/lib/firefox-3.0.6

Agora ele perguntará se você deseja proceder a instalação. Aperte y e depois enter.

Após pressionar enter, ele mostrará que a instalação foi completada e perguntará se você quer outra instalação. Coloque n e aperte enter.

Agora com a instalação finalizada é só navegar : )

Instalando a partir de um pacote pré-compilado

Bem pessoal,

Para quem não quer fazer nada do que foi dito até agora porque acha difícil, o flash pode ser instalado a partir de um pacote pré-compilado.

Vamos então acessar o site: http://slackfind.net/

Nele podemos digitar "flash" para consultar e escolher a versão adequada do seu Slackware Linux.

Após baixar o pacote, ele pode ser instalado com o comando:

# installpkg NOME_DO_ARQUIVO.tgz

Esse procedimento é por sua conta e risco, pois o slackfind busca pacotes de 7 mirrors diferentes. Porque por sua conta e risco? Esses sites geralmente colocam o pacote pré-compilado sem o código fonte e o slackbuild que o gerou. Geralmente funciona sem problemas, mas como falei, é por sua conta e risco.

Sérgio Abrantes.
[]'s

Outras dicas deste autor

Escondendo a versão dos serviços que estão rodando em seu servidor para aumentar a segurança

Squid3 Debian - Erro Google Chrome - NET::ERR_CERT_WEAK_SIGNATURE_ALGORITHM [Resolvido]

Iniciar o Slackware Linux no modo gráfico automaticamente

Mplayer funcionando fullscreen

Slackbuilds.org: Instalando pacotes para o Slackware Linux

Leitura recomendada

Roteamento com marcação de pacotes

Manipulando arquivos PDF no terminal

Instalando o BrOffice 3.0.1 no Debian ou Ubuntu Linux

Convertendo arquivos MP3 para WAV e vice-versa

Instalando ícones Faenza no Mageia 4 MATE

  

Comentários
[1] Comentário enviado por femars em 10/06/2009 - 17:53h

Olha só, tenho problemas com flash aki em meu slack 12.1 ... jah instalei o 9 e 10, tanto no firefox 2 como o 3 e sempre fica instavel, o video fica "pulando", e atrapalha todo o navegar se eu acesso o youtube por exemplo...

[2] Comentário enviado por pelo em 11/06/2009 - 14:44h

Meu caro,

Qual a configuração do teu computador?
Já olhou quanto de memória o mozilla está consumindo?

Sérgio Abrantes
[]'s

[3] Comentário enviado por diego.mpm em 20/08/2009 - 15:05h

Ola, eu sou iniciante no slackware 12.2 e estou seguindo os passos acima e nao consigo instalar, essa dica se aplica a essa versao do slackware e a versao do flash 10.0.32.18?

Obrigado pela atencao.

[4] Comentário enviado por rony_souza em 14/08/2010 - 14:13h

/\

mv libflashplayer.so /usr/lib/firefox-3.6.8/plugins


Obs. o 3.6.8 e a versao do firefoca. XD



Contribuir com comentário